package com.ruoyi.app.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;

/**
 * 待宰圈对象 pigpen
 * 
 * @author coede
 * @date 2025-03-19
 */
public class Pigpen extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 
待宰圈号 */
    @Excel(name = " 待宰圈号")
    private String pigpenName;

    /** 最大容量 */
    @Excel(name = "最大容量")
    private Integer maxCapacity;

    /** 删除标志 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setPigpenName(String pigpenName) 
    {
        this.pigpenName = pigpenName;
    }

    @NotBlank(message = "待宰圈号不能为空")
    public String getPigpenName() 
    {
        return pigpenName;
    }

    public void setMaxCapacity(Integer maxCapacity) 
    {
        this.maxCapacity = maxCapacity;
    }

    public Integer getMaxCapacity() 
    {
        return maxCapacity;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pigpenName", getPigpenName())
            .append("maxCapacity", getMaxCapacity())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
